package cn.superdesk.uniorder.dao.mapper.operationCenter;

import cn.superdesk.uniorder.dao.entity.operationCenter.UnifiedOperators;
import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterOperatorsExample;
import java.util.List;

import cn.superdesk.uniorder.dto.param.operationCenter.base.OperationCenterParam;
import cn.superdesk.uniorder.dto.param.operationCenter.operators.OperationCenterOperatorsParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.base.OperationCenterVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.operators.OperationCenterOperatorsVo;
import org.apache.ibatis.annotations.Param;

public interface OperationCenterOperatorsMapper {
    long countByExample(OperationCenterOperatorsExample example);

    int deleteByExample(OperationCenterOperatorsExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedOperators record);

    int insertSelective(UnifiedOperators record);

    List<UnifiedOperators> selectByExample(OperationCenterOperatorsExample example);

    UnifiedOperators selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedOperators record, @Param("example") OperationCenterOperatorsExample example);

    int updateByExample(@Param("record") UnifiedOperators record, @Param("example") OperationCenterOperatorsExample example);

    int updateByPrimaryKeySelective(UnifiedOperators record);

    int updateByPrimaryKey(UnifiedOperators record);

    List<OperationCenterOperatorsVo> getOpCenterOperatorList(OperationCenterOperatorsParam param);

    /**
     * 查询运营商-含删除的运营商
     */
    List<OperationCenterVo> selectOperationCenterOperators(OperationCenterParam param);

}